Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.annotations
Annotation Type NaturalId

    @Target(value={METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface NaturalId

This specifies that a property is part of the natural id of the entity.

See Also:
  `NaturalIdCache`

Optional Element Summary
`boolean` | `mutable` Is this natural id mutable (or immutable)?

### mutable

    public abstract boolean mutable

  Is this natural id mutable (or immutable)?

  Returns:
    `true` indicates the natural id is mutable; `false` (the default) that it is immutable.
  Default:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.